package models

import (
	"database/sql"
	"time"
)

type ServerMetadata struct {
	// Technically no id needed since expected to only ever store one entry in this table
	Id        uint64 `gorm:"primarykey"`
	CreatedAt time.Time
	UpdatedAt time.Time

	// ---- Section TLS LetsEncrypt

	LEDomain            string
	LECertUrl           string
	LECertStableUrl     string
	LEPrivateKey        []byte // Encrypted
	LECertificate       []byte // Encrypted
	LEIssuerCertificate []byte // Encrypted
	LECSR               []byte // Encrypted
	LELastUpdate        sql.NullTime
	LEUserPrivKey       []byte // Encrypted

	// ---- Section Database
	LastMigrationVersion uint64
}
