package activitypub

import (
	"net/http"
)

func BuildActivitypubRouter() http.Handler {
	router := http.NewServeMux()
	router.HandleFunc("GET /user/{id}", users)
	router.HandleFunc("POST /user/{id}/inbox", userInbox)
	router.HandleFunc("GET /user/{id}/followers", userFollowers)
	router.HandleFunc("GET /user/{id}/following", userFollowing)
	router.HandleFunc("GET /activity/accept/{id}", activityAccept)
	router.HandleFunc("GET /activity/create/{id}", activityCreate)
	router.HandleFunc("GET /activity/delete/{id}", activityDelete)
	router.HandleFunc("GET /activity/reject/{id}", activityReject)
	router.HandleFunc("GET /activity/update/{id}", activityUpdate)
	router.HandleFunc("GET /activity/follow/{id}", activityFollow)
	router.HandleFunc("GET /activity/like/{id}", activityLike)
	router.HandleFunc("GET /note/{id}", objectNote)
	router.HandleFunc("GET /note/{id}/reactions", noteReactions)
	router.HandleFunc("GET /emote/{id}", objectEmote)
	router.HandleFunc("POST /inbox", globalInbox)
	return router
}
